# Test Report plugin for Fastlane

![Teclib' Banner](https://user-images.githubusercontent.com/29282308/31669540-abed67a8-b355-11e7-98e2-0ad190f37088.png)

[![License MIT](https://img.shields.io/badge/License-MIT-blue.svg)](https://github.com/TECLIB/fastlane-plugin-test_report/blob/develop/LICENSE.md)
[![fastlane Plugin Badge](https://rawcdn.githack.com/fastlane/fastlane/master/fastlane/assets/plugin-badge.svg)](https://rubygems.org/gems/fastlane-plugin-test_report)
[![Telegram Community](https://img.shields.io/badge/Telegram-Community-blue.svg)](https://t.me/flyvemdm)
[![IRC Chat](https://img.shields.io/badge/IRC-%23flyvemdm-green.svg)](http://webchat.freenode.net/?channels=flyve-mdm)
[![Follow twitter](https://img.shields.io/badge/Twitter-Teclib%27-940CA5.svg)](https://twitter.com/teclib)
[![Project Status: Active](http://www.repostatus.org/badges/latest/active.svg)](http://www.repostatus.org/#active)
[![Conventional Commits](https://img.shields.io/badge/Conventional%20Commits-1.0.0-yellow.svg)](https://conventionalcommits.org)

## Table of Contents

* [Synopsis](#synopsis)
* [Build Status](#build-status)
* [Installation](#installation)
* [Examples](#examples)
* [Documentation](#documentation)
* [Versioning](#versioning)
* [Contact](#contact)
* [Professional Services](#professional-services)
* [Contribute](#contribute)
* [Copying](#copying)

## Synopsis

Create a customized HTML for iOS test reports from an XML file.

## Build Status

|**LTS**|**Bleeding Edge**|
|:---:|:---:|
|[![Circle CI build](https://circleci.com/gh/TECLIB/fastlane-plugin-test_report/tree/master.svg?style=svg)](https://circleci.com/gh/TECLIB/fastlane-plugin-test_report/tree/master)|[![Circle CI build](https://circleci.com/gh/TECLIB/fastlane-plugin-test_report/tree/develop.svg?style=svg)](https://circleci.com/gh/TECLIB/fastlane-plugin-test_report/tree/develop)|

## Installation

This project is a [_fastlane_](https://github.com/fastlane/fastlane) plugin. To get started with `fastlane-plugin-test_report`, add it to your project by running:

```bash
fastlane add_plugin test_report
```

Or add in your Pluginfile, and then run bundle install

```gem 'fastlane-plugin-test_report'```

## Examples

Check these repositories:

* [Flyve MDM iOS Inventory Agent](https://github.com/flyve-mdm/ios-inventory-agent)
* [Flyve MDM iOS MDM Agent](https://github.com/flyve-mdm/ios-mdm-agent)
* [Flyve MDM iOS MDM Dashboard](https://github.com/flyve-mdm/ios-mdm-dashboard)
* [Flyve MDM iOS Inventory Library](https://github.com/flyve-mdm/ios-inventory-library)

## Documentation

We maintain a detailed documentation on the project site, check the [How-tos](https://teclib.github.io/fastlane-plugin-test_report/howtos/) and [Development](https://teclib.github.io/fastlane-plugin-test_report/) section.

## Versioning

In order to provide transparency on our release cycle and to maintain backward compatibility, this project is maintained under [the Semantic Versioning guidelines](http://semver.org/). We are committed to following and complying with the rules, the best we can.

See [the tags section of our GitHub project](https://github.com/TECLIB/fastlane-plugin-test_report/releases) for changelogs for each release version. Release announcement posts on [the official Teclib' blog](http://www.teclib-edition.com/en/communities/blog-posts/) contain summaries of the most noteworthy changes made in each release.

## Contact

For notices about major changes and general discussion of development, subscribe to the [/r/flyvemdm](http://www.reddit.com/r/flyvemdm) subreddit.
You can also chat with us via IRC in [#flyve-mdm on freenode](http://webchat.freenode.net/?channels=flyve-mdm) if you get stuck, and [@flyvemdm on Telegram](https://t.me/flyvemdm).

## Professional Services

The Teclib' services are available through our [Partner's Network](http://www.teclib-edition.com/en/partners/). We provide special training, bug fixes with editor subscription, contributions for new features, and more.

Obtain a personalized service experience, associated with benefits and opportunities.

## Contribute

Want to file a bug, contribute some code, or improve documentation? Excellent! Read up on our
guidelines for [contributing](https://github.com/TECLIB/fastlane-plugin-test_report/blob/develop/.github/CONTRIBUTING.md) and then check out one of our issues in the [Issues Dashboard](https://github.com/TECLIB/fastlane-plugin-test_report/issues).

## Copying

* **Name**: [Flyve MDM](https://flyve-mdm.com/) is a registered trademark of [Teclib'](http://www.teclib-edition.com/en/).
* **Name**: [GLPI](http://glpi-project.org/) is a registered trademark of [Teclib'](http://www.teclib-edition.com/en/).
* **Code**: you can redistribute it and/or modify
    it under the terms of the [MIT](https://opensource.org/licenses/MIT).
* **Documentation**: released under Attribution 4.0 International ([CC BY 4.0](https://creativecommons.org/licenses/by/4.0/)).
